package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.InternetGatewayModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface InternetGatewayProvider extends SuperProvider {

    default BocloudResult create(String name) {
        return null;
    }

    default BocloudResult remove(String internetGatewayId) {
        return null;
    }

    default BocloudResult attach(String internetGatewayId, String vpcId) {
        return null;
    }

    default BocloudResult detach(String internetGatewayId, String vpcId) {
        return null;
    }

    default BocloudResult list() {
        return null;
    }

    default BocloudResult update(InternetGatewayModel model) {
        return null;
    }

    default BocloudResult create(InternetGatewayModel model) {
        return null;
    }

    default BocloudResult detail(String gatewayId) {
        return null;
    }

}
